<div id="stranicaZahtevZaPriznanjePatenta">

    <fieldset>
        <h2 id="naslov" style="text-align: center;">Zahtev za priznanje patenta</h2>
    </fieldset>

    <br/>
    <br/>
    <br/>
    
    <form id="zahtevZaPriznanjePatenta" (ngSubmit)="onSubmit(f)" #f="ngForm">

        <fieldset>
            <h3>Polje broj I  ---  NAZIV PRONALASKA</h3>
            <div class="podkontejner" id="first" style="display: block;">
                * Naziv pronalaska treba da jasno i sažeto izražava suštinu pronalaska i ne sme da sadrži izmišljene ili komercijalne nazive, žigove, imena, šifre, uobičajene skraćenice za proizvode i sl.
            </div>
            <br/>
            <br/>
            <div class="podkontejner" id="second">
                <label for="nazivPronalaskaSrpski">Srpski: </label><br/>
                <input type="text" name="nazivPronalaskaSrpski" [(ngModel)]="zahtevZaPriznanjePatenta.nazivPronalaska.nazivPronalaskaSrpski" class="inputDvoredi"/>
            </div>
            <br/>
            <br/>
            <br/>
            <br/>
            <div class="podkontejner" id="third">
                <label for="nazivPronalaskaEngleski">Engleski: </label><br/>
                <input type="text" name="nazivPronalaskaEngleski" [(ngModel)]="zahtevZaPriznanjePatenta.nazivPronalaska.nazivPronalaskaEngleski" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>

        <fieldset>
            <h3>Polje broj II  ---  PODNOSILAC PRIJAVE</h3>
            <div class="podkontejner" id="first">
                Podnosilac prijave je i pronalazac:
                <br/>
                <input type="radio" id="one" class="radio" name="podnosilacPPJIP" value="DA" (change)=handleChangeRadioButton($event) required/>
                Da <br/>
                <input type="radio" id="two" class="radio" name="podnosilacPPJIP" value="NE" (change)=handleChangeRadioButton($event) required/>
                Ne <br/>
            </div>
            <div class="podkontejner" id="second">
                <label for="podnosilacIme">Ime</label><br/>
                <input type="text" name="podnosilacIme" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.ime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacPrezime">Prezime / Poslovo ime</label><br/>
                <input type="text" name="podnosilacPrezime" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.prezime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacUlica">Ulica</label><br/>
                <input type="text" name="podnosilacUlica" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.adresa.ulica" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacBroj">Broj</label><br/>
                <input type="text" name="podnosilacBroj" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.adresa.broj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacPosBroj">Postanski Broj</label><br/>
                <input type="text" name="podnosilacPosBroj" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.adresa.posBroj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacMesto">Mesto</label><br/>
                <input type="text" name="podnosilacMesto" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.adresa.mesto" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacDrzava">Drzava</label><br/>
                <input type="text" name="podnosilacDrzava" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.adresa.drzava" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacDrzavljanstvo">Drzavljanstvo</label><br/>
                <input type="text" name="podnosilacDrzavljanstvo" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.drzavljanstvo" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacBrTel">Broj Telefona</label><br/>
                <input type="text" name="podnosilacBrTel" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.brTel" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacBrFaksa">Broj Faksa</label><br/>
                <input type="text" name="podnosilacBrFaksa" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.brFaksa" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="podnosilacEmail">E-mail</label><br/>
                <input type="text" name="podnosilacEmail" [(ngModel)]="zahtevZaPriznanjePatenta.podnosilacPrijave.email" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>

        <fieldset *ngIf="selektovanPodnosilacJeIPronalac==false">
            <h3>Polje broj III  ---  PRONALAZAC</h3>
            <div class="podkontejner" id="first">
                (ako su svi pronalazači ujedno i podnosioci prijave, polje broj III se ne popunjava)
* Ako svi podnosioci prijave nisu i pronalazači, dostavlja se izjava podnosilaca prijave o osnovu sticanja prava na podnošenje prijave u odnosu na pronalazače koji nisu i podnosioci prijave i u tom slučaju u polje broj III se unose podaci o svim pronalazačim
(ako pronalazač ne želi da bude naveden u prijavi polje broj III se ne popunjava)
*Ako pronalazač ne želi da bude naveden u prijavi, potrebno je dostaviti potpisanu izjavu pronalazača da ne želi da bude naveden.
                <br/>
                <input type="checkbox" name="pronalazacNeZeli" (change)=handleChangepronalazacNeZeliButton($event)/>
                Pronalazač ne želi da bude naveden u prijavi <br/>
            </div>
            <div class="podkontejner" id="second">
                <label for="pronalazacIme">Ime</label><br/>
                <input type="text" name="pronalazacIme" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.ime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacPrezime">Prezime / Poslovo ime</label><br/>
                <input type="text" name="pronalazacPrezime" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.prezime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacUlica">Ulica</label><br/>
                <input type="text" name="pronalazacUlica" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.adresa.ulica" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacBroj">Broj</label><br/>
                <input type="text" name="pronalazacBroj" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.adresa.broj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacPosBroj">Postanski Broj</label><br/>
                <input type="text" name="pronalazacPosBroj" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.adresa.posBroj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacMesto">Mesto</label><br/>
                <input type="text" name="pronalazacMesto" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.adresa.mesto" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacDrzava">Drzava</label><br/>
                <input type="text" name="pronalazacDrzava" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.adresa.drzava" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacDrzavljanstvo">Drzavljanstvo</label><br/>
                <input type="text" name="pronalazacDrzavljanstvo" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.drzavljanstvo" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacBrTel">Broj Telefona</label><br/>
                <input type="text" name="pronalazacBrTel" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.brTel" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacBrFaksa">Broj Faksa</label><br/>
                <input type="text" name="pronalazacBrFaksa" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.brFaksa" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="pronalazacEmail">E-mail</label><br/>
                <input type="text" name="pronalazacEmail" [(ngModel)]="zahtevZaPriznanjePatenta.pronalazac.email" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>
        
        <fieldset>
            <h3>Polje broj IV  ---  PUNOMOCNIK</h3>
            <div class="podkontejner" id="first">
                * Punomoćnik za zastupanje je lice koje po ovlašćenju podnosioca prijave preduzima radnje u upravnom postupku u granicama punomoćja
* Punomoćnik za prijem pismena je lice koje je podnosilac prijave odredio kao lice kome se  upućuju sva pismena naslovljena na podnosioca
* Zajedniči prestavnik je podnosilac prijave koga su podnosioci prijave, u slučaju da prijavu podnosi više lica, odredili da istupa u postupku pred organom ako podnosioci nisu imenovali zajedničkog punomoćnika za zastupanje
                <br/>
                <br/>
                <input type="radio" id="one" class="radio" name="punomocnik" value="Punomocnik za zastupanje" (change)=handleChangePunomocnik($event) required/>
                PUNOMOCNIK ZA ZASTUPANJE <br/>
                <input type="radio" id="two" class="radio" name="punomocnik" value="Punomocnik za prijem pismena" (change)=handleChangePunomocnik($event) required/>
                PUNOMOCNIK ZA PRIJEM PISMENA <br/>
                <input type="radio" id="three" class="radio" name="punomocnik" value="Zajednicki predstavnik" (change)=handleChangePunomocnik($event) required/>
                ZAJEDNICKI PRESTAVNIK <br/>
            </div>
            <div class="podkontejner" id="second">
                <label for="punomocnikIme">Ime</label><br/>
                <input type="text" name="punomocnikIme" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.ime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikPrezime">Prezime / Poslovo ime</label><br/>
                <input type="text" name="punomocnikPrezime" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.prezime" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikUlica">Ulica</label><br/>
                <input type="text" name="punomocnikUlica" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.adresa.ulica" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikBroj">Broj</label><br/>
                <input type="text" name="punomocnikBroj" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.adresa.broj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikPosBroj">Postanski Broj</label><br/>
                <input type="text" name="punomocnikPosBroj" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.adresa.posBroj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikMesto">Mesto</label><br/>
                <input type="text" name="punomocnikMesto" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.adresa.mesto" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikDrzava">Drzava</label><br/>
                <input type="text" name="punomocnikDrzava" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.adresa.drzava" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikDrzavljanstvo">Drzavljanstvo</label><br/>
                <input type="text" name="punomocnikDrzavljanstvo" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.drzavljanstvo" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikBrTel">Broj Telefona</label><br/>
                <input type="text" name="punomocnikBrTel" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.brTel" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikBrFaksa">Broj Faksa</label><br/>
                <input type="text" name="punomocnikBrFaksa" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.brFaksa" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="punomocnikEmail">E-mail</label><br/>
                <input type="text" name="punomocnikEmail" [(ngModel)]="zahtevZaPriznanjePatenta.punomocnik.email" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>

        <fieldset>
            <h3>Polje broj V  ---  ADRESA ZA DOSTAVLJANJE</h3>
            <div class="podkontejner" id="first">
                (ovo polje se popunjava ako podnosilac prijave, zajednički predstavnik ili punomoћnik želi da se dostavljanje podnesaka vrši na drugoj adresi od njegove navedene adrese)
                <br/>
            </div>
            <br/>
            <br/>
            <div class="podkontejner" id="second">
                <label for="dostavaUlica">Ulica</label><br/>
                <input type="text" name="dostavaUlica" [(ngModel)]="zahtevZaPriznanjePatenta.adresaZaDostavljanje.ulica" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="dostavaBroj">Broj</label><br/>
                <input type="text" name="dostavaBroj" [(ngModel)]="zahtevZaPriznanjePatenta.adresaZaDostavljanje.broj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="dostavaPosBroj">Postanski Broj</label><br/>
                <input type="text" name="dostavaPosBroj" [(ngModel)]="zahtevZaPriznanjePatenta.adresaZaDostavljanje.posBroj" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="dostavaMesto">Mesto</label><br/>
                <input type="text" name="dostavaMesto" [(ngModel)]="zahtevZaPriznanjePatenta.adresaZaDostavljanje.mesto" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>

        <fieldset>
            <h3>Polje broj VI  ---  NACIN DOSTAVLJANJA</h3>
            <div class="podkontejner" id="first">
                <br/>
                <input type="radio" id="one" class="radio" name="nacinDostavljanja" value="elektronsko" (change)=handleChangeNacinDostavljanja($event) required/>
                Podnosilac prijave je saglasan da Zavod vrši dostavljanje pismena isključivo elektronskim putem u formi elektronskog dokumenta (u ovom slučaju neophodna je registracija na portalu „eUprave”) <br/>
                <input type="radio" id="two" class="radio" name="nacinDostavljanja" value="papirno" (change)=handleChangeNacinDostavljanja($event) required/>
                Podnosilac prijave je saglasan da Zavod vrši dostavljanje pismena u papirnoj formi <br/>
            </div>
        </fieldset>

        <br/>

        <fieldset>
            <h3>Polje broj VII</h3>
            <div class="podkontejner" id="first">
                <br/>
                <input type="radio" id="one" class="radio" name="dopuna" value="Dopunska prijava" (change)=handleChangeDopuna($event) required/>
                DOPUNSKA PRIJAVA <br/>
                <input type="radio" id="two" class="radio" name="dopuna" value="Izdvojena prijava" (change)=handleChangeDopuna($event) required/>
                IZDVOJENA PRIJAVA <br/>
            </div>
            <div class="podkontejner" id="second">
                <label for="brojDopune">Broj prvobitne prijave / osnovne prijave, odnosno osnovnog patenta</label><br/>
                <input type="text" name="brojDopune" [(ngModel)]="zahtevZaPriznanjePatenta.nadovezivanje.brojDopune" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="datumDopune">Datum podnosenja prvobitne prijave / osnovne prijave</label><br/>
                <input type="date" name="datumDopune" [(ngModel)]="zahtevZaPriznanjePatenta.nadovezivanje.datumDopune"/>
            </div>
        </fieldset>

        <br/>

        <fieldset>
            <h3>Polje broj VIII  ---  ZAHTEV ZA PRIZNANjE PRAVA PRVENSTVA IZ RANIJIH PRIJAVA</h3>
            <div class="podkontejner" id="first">
                <label for="datumRanijePrijave">Datum Ranije Prijave</label><br/>
                <input type="date" name="datumRanijePrijave" [(ngModel)]="zahtevZaPriznanjePatenta.pravoPrvenstva.datumRanijePrijave"/>
            </div>
            <div class="podkontejner" id="second">
                <label for="brojRanijePrijave">Broj ranije prijave</label><br/>
                <input type="text" name="brojRanijePrijave" [(ngModel)]="zahtevZaPriznanjePatenta.pravoPrvenstva.brojRanijePrijave" class="inputDvoredi"/>
            </div>
            <div class="podkontejner" id="thirdandothers">
                <label for="dvoslovnaOznaka">Dvoslovna oznaka države, regionalne ili meђunarodne organizacije</label><br/>
                <input type="text" name="dvoslovnaOznaka" [(ngModel)]="zahtevZaPriznanjePatenta.pravoPrvenstva.dvoslovnaOznaka" class="inputDvoredi"/>
            </div>
        </fieldset>

        <br/>

        <button class="btn-submit" type="submit">                  
            POSALJI ZAHTEV
        </button>

    </form>
</div>
